astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- N-dimensional datasets (`astropy.nddata`) »
- NDDataBase

# NDDataBase

class `astropy.nddata.``NDDataBase`

  Bases: `object`

  Base metaclass that defines the interface for NDData

  Classes that wish to use this interface without inheriting from `NDData` should subclass `NDDataBase` instead.

  All properties and methods except uncertainty must be override by derived classes.

  Attributes Summary

  `data` | The data; should be capable of behaving like a numpy array, though it need not actually be a numpy array.
  `mask` | Mask for the data, following the numpy convention that `True` means the data should not be used.
  `meta` | Metadata, if any, must be dict-like.
  `uncertainty` | Uncertainty in the data.
  `unit` | Unit for the data, if any.
  `wcs` | WCS for the data, if any.

  Attributes Documentation

  `data`

    The data; should be capable of behaving like a numpy array, though it need not actually be a numpy array.

  `mask`

    Mask for the data, following the numpy convention that `True` means the data should not be used.

  `meta`

    Metadata, if any, must be dict-like.

  `uncertainty`

    Uncertainty in the data.

    Uncertainty must have an attribute `uncertainty_type` that is a string.

  `unit`

    Unit for the data, if any.

  `wcs`

    WCS for the data, if any.